Subject: Re: bug#40371: [R7RS] Guile does not accept library name parts that are non-negative exact integers

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 23 Nov 2023 09:24:37 -0500

Hello,

Martin Becze <[email-masked]> writes:

> Here is a patch that makes things usable for srfi's. (import (srfi
> NNNN)) will work. It just remove the guard condition that was catching
> the Integers. Does anyone know why the guard was there and if it is
> really needed?

Is still still an issue when working with R7RS .sld libraries?  It's
been possible to use e.g. (import (srfi 64)) since commit 2cca09126,
dated September 2019.  This is handled in (ice-9 r6rs-libraries), so not
generally available, but it is in the context of a define-library
definition.

Let us know if the problem is solved on your side, and if so, let's
close this issue!

-- 
Thanks,
Maxim